Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2062455 - Fedora IoT - Script '01_update_platforms_check.sh' FAILURE (exit code '1'). Continuing...
Summary: Fedora IoT - Script '01_update_platforms_check.sh' FAILURE (exit code '1'). C...
Keywords:
Status: CLOSED DUPLICATE of bug 2171154
Alias: None
Product: Fedora
Classification: Fedora
Component: greenboot
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Glombek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT 2115100
TreeView+ depends on / blocked
 
Reported: 2022-03-09 19:23 UTC by Geoffrey Marr
Modified: 2023-02-23 16:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2115100 (view as bug list)
Environment:
Last Closed: 2023-02-23 16:47:27 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
output of 'journalctl -a' (deleted)
2022-03-09 19:23 UTC, Geoffrey Marr
no flags Details

Description Geoffrey Marr 2022-03-09 19:23:12 UTC
Created attachment 1864994 [details]
output of 'journalctl -a'

Description of problem:
After upgrading to latest F35, greenboot fails with following error:
"Script '01_update_platforms_check.sh' FAILURE (exit code '1'). Continuing..."


Version-Release number of selected component (if applicable):
Fedora-IoT-35-20220302.0 (any arch)
greenboot-0.14.0-1.fc35.aarch64
greenboot-default-health-checks-0.14.0-1.fc35.aarch64

How reproducible:
Every time

Steps to Reproduce:
1. Install version of Fedora-IoT-35-20220302.0 (any arch)
2. ssh into newly-installed IoT system
3. View greenboot failure upon ssh-ing in

Additional info:
See attached log

Comment 1 Paul Whalen 2022-03-09 21:54:08 UTC
Running the script manually after log in works

bash /usr/lib/greenboot/check/wanted.d/01_update_platforms_check.sh
We can connect to all update platforms

Comment 2 Micah Abbott 2022-08-03 20:15:35 UTC
I'm gonna clone this for RHEL because I'm seeing the same failure on RHEL9 Edge installs.

Comment 3 Ben Cotton 2022-11-29 18:31:58 UTC
This message is a reminder that Fedora Linux 35 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 35 on 2022-12-13.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '35'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 35 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 4 Micah Abbott 2022-12-01 14:29:26 UTC
This is still happening, so bumping to F36

Comment 5 miwagner1 2022-12-29 15:21:59 UTC
Still happening with F37 .

bash /usr/lib/greenboot/check/wanted.d/01_update_platforms_check.sh
There are problems connecting with the following URLs:
https://ostree.fedoraproject.org/iot
https://ostree.fedoraproject.org/iot/mirrorlist


https://ostree.fedoraproject.org/iot is responding with
Forbidden
You don't have permission to access this resource.

Comment 6 Martin 2023-01-06 20:10:58 UTC
I am seeing the bug too and I think I found the root cause:

Line 39 of /usr/lib/greenboot/check/wanted.d/01_update_platforms_check.sh loops over the UPDATE_PLATFORM_URLS found by grepping /etc/ostree/remotes.d/* for strings containing http[s]?. As there are two matches (url and contenturl in fedora-iot.conf) UPDATE_PLATFORM_URLS contains

https://ostree.fedoraproject.org/iot https://ostree.fedoraproject.org/iot/mirrorlist

The quotes in line 39 

  for UPDATE_PLATFORM_URL in "${UPDATE_PLATFORM_URLS[@]}"; do

lead to only one iteration being run, where UPDATE_PLATFORM_URL is "https://ostree.fedoraproject.org/iot https://ostree.fedoraproject.org/iot/mirrorlist" (which is obviously unreachable).

A simple fix would be to leave out the quotes in line 39 because URLs should not contain spaces anyway:

  for UPDATE_PLATFORM_URL in ${UPDATE_PLATFORM_URLS[@]}; do

Comment 7 Micah Abbott 2023-02-23 16:47:27 UTC
This should be fixed in greenboot v0.15.4

Going to mark this as a duplicate of 2171154

Please open a new issue if the new release of greenboot doesn't address your issue(s).

*** This bug has been marked as a duplicate of bug 2171154 ***


Note You need to log in before you can comment on or make changes to this bug.